Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.matrixJep
Interface MatrixVariableI

All Known Implementing Classes:
  MatrixPartialDerivative, MatrixVariable

    public interface MatrixVariableI

Matrix aware variables should implement this interface.

Author:
  Rich Morris Created on 19-Dec-2003

Method Summary
`Dimensions` | `getDimensions()` The dimension of the variable.
`Node` | `getEquation()` The equation represented by this variable.
`MatrixValueI` | `getMValue()` Returns the value container of this variable.
`java.lang.String` | `getName()` The name of variable
`boolean` | `hasEquation()` Whether this variable has an equation.
`boolean` | `hasValidValue()` Is the value of this variable meaningful?
`boolean` | `isConstant()` Is it constant?
`void` | `setDimensions(Dimensions dims)` Sets the dimension of the variable.
`void` | `setMValue(MatrixValueI val)` Sets the value of the variable (matrix aware).
`void` | `setValidValue(boolean b)` makes the vaule valid.

Method Detail

### getDimensions

    Dimensions getDimensions()

  The dimension of the variable.

### setDimensions

    void setDimensions(Dimensions dims)

  Sets the dimension of the variable. Will also allocate appropriate space for value container.

### getMValue

    MatrixValueI getMValue()

  Returns the value container of this variable. There is no setMValue as the value can be changed by setting the individual elements of value container.

### setMValue

    void setMValue(MatrixValueI val)

  Sets the value of the variable (matrix aware).

### hasValidValue

    boolean hasValidValue()

  Is the value of this variable meaningful?

### setValidValue

    void setValidValue(boolean b)

  makes the vaule valid.

### getEquation

    Node getEquation()

  The equation represented by this variable.

### hasEquation

    boolean hasEquation()

  Whether this variable has an equation.

### getName

    java.lang.String getName()

  The name of variable

### isConstant

    boolean isConstant()

  Is it constant?

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems